function lançamentoEntrada() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new  ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');
	const self = this;
	
	const gridLancamentoEntrada = '16725510123916396093497'
	
	this.abrir = () => {
	    z.component.menu.open();
	    protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
	    z.component.menu.clickByPath(['Documentos Fiscais', 'Entradas', 'Lançamentos', 'Lançamento de Entrada'])
	};
	
	this.filtroLancamentoCompra = (filialCompra, remetenteCompra, dataInicialCompra, dataFinalCompra) => {
		geral.clickLimparAutoComplete('NMFILIAL');
		geral.searchAndClickGridField('NMFILIAL', filialCompra);
		geral.selectNative('IDORIGDESTNF', 'Fornecedor');
		geral.searchAndClickGridField('NMRAZSOCFORN', remetenteCompra);
		// z.field.calendar.clearFieldByXIcon('DTENTRSAID');
		z.field.calendar.selectIntervalDate('DTENTRSAID', dataInicialCompra, dataFinalCompra, 'pt_br');
		// element(by.id('DTENTRSAID')).click();
		// var ok = element.all(by.css('#footer > div.zh-footer-right > ul > li > a > span')).first();
		// protractorHelper.click(ok);
	};
	 
	this.clickFiltrar = () => {
	    var filter = element.all(by.css('#footer > div.zh-footer-right > ul > li > a > span')).first();
		protractorHelper.click(filter);
	};
	
	this.digitarNotaFiscal = (operacaoCompra, modeloDocumento, remetenteCompra, serieCompra, numeroCompra, totalNFCompra) => {
		geral.clickLimparAutoComplete('NMTIPOOPER');
		geral.searchAndClickGridField('NMTIPOOPER', operacaoCompra);
		geral.clickLimparAutoComplete('DSMODDOCFISC');
		geral.searchAndClickGridField('DSMODDOCFISC', modeloDocumento);
		geral.searchAndClickGridField('NMRAZSOCFORN', remetenteCompra);
		geral.searchAndClickGridField('DSSERIEENTR', serieCompra);
		geral.clickAndFillField('NRNOTAFISC', numeroCompra);
		geral.clickAndFillField('VRNOTAFISC', totalNFCompra);
		element(by.css('body > span > section > section > div.default-window > section.zh-swipe-container.zh-swipe-right.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(1)')).click();
	};

	this.lancamentoProduto = (produtoCompra, quantidadeCompra, valorUnitCompra) => {
		element(by.id('NMPRODUTO')).click();
		geral.searchAndClickGridField('NMPRODUTO', produtoCompra);
		geral.clickConfirmar();
		geral.clickAndFillFields('QTITEMPROD', quantidadeCompra, 'VRUNITITEM', valorUnitCompra);
	};

	this.novoNumeroNF = () => {
		var novoNumero = z.widget.grid.getText(gridLancamentoEntrada, 0, 2, false);
		novoNumero = novoNumero ? novoNumero : 1; 
		parseInt(novoNumero);
		  novoNumero++;
		toString(novoNumero);
		return novoNumero;  
	};
};
module.exports = new lançamentoEntrada();